diff -ruN vdr-1.4.4-3/HISTORY vdr-1.4.5/HISTORY
--- vdr-1.4.4-3/HISTORY	2007-01-05 11:09:22.000000000 +0100
+++ vdr-1.4.5/HISTORY	2007-01-07 14:47:19.000000000 +0100
@@ -5024,3 +5024,7 @@
 - When entering text via the numeric keys, the characters are now checked against
   the allowed characters (thanks to Frank Schmirler).
 - Added a missing break statement in cCiHandler::OpenSession().
+
+2007-01-07: Version 1.4.5
+
+- Official release.
diff -ruN vdr-1.4.4-3/channels.conf vdr-1.4.5/channels.conf
--- vdr-1.4.4-3/channels.conf	2007-01-07 14:57:30.489588854 +0100
+++ vdr-1.4.5/channels.conf	2007-01-07 14:55:46.000000000 +0100
@@ -45,9 +45,9 @@
 rbb Berlin;ARD:12109:hC34:S19.2E:27500:601:602=deu:604:0:28206:1:1073:0
 :Premiere World
 PREMIERE START,START;PREMIERE:12070:hC34:S19.2E:27500:3071:3072=deu:32:1702,1722,1801:8:133:1:0
-PREMIERE 1,PREM 1;PREMIERE:11797:hC34:S19.2E:27500:511:512=deu;515=deu:32:1722,1702,1801:10:133:2:0
+PREMIERE 1,PREM 1;PREMIERE:11797:hC34:S19.2E:27500:511:512=deu,513=deu;515=deu:32:1722,1702,1801:10:133:2:0
 PREMIERE 2,PREM 2;PREMIERE:11797:hC34:S19.2E:27500:1791:1792=deu,1793=deu;1795=deu:32:1801,1722,1702:11:133:2:0
-PREMIERE 3,PREM 3;PREMIERE:11797:hC34:S19.2E:27500:2303:2304=deu;2307=deu:32:1702,1722,1801:43:133:2:0
+PREMIERE 3,PREM 3;PREMIERE:11797:hC34:S19.2E:27500:2303:2304=deu,2305=deu;2307=deu:32:1702,1722,1801:43:133:2:0
 PREMIERE 4,PREM 4;PREMIERE:11797:hC34:S19.2E:27500:767:768=deu,769=deu;771=deu:32:1801,1722,1702:9:133:2:0
 PREMIERE SERIE,SERIE;PREMIERE:11797:hC34:S19.2E:27500:2559:2560=deu;2563=deu:32:1801,1702,1722:16:133:2:0
 PREMIERE KRIMI,KRIMI;PREMIERE:11797:hC34:S19.2E:27500:2815:2816=deu:32:1702,1801,1722:23:133:2:0
@@ -62,7 +62,7 @@
 EROTIK - AB 18!,AB 18!;PREMIERE:12031:hC34:S19.2E:27500:1279:1280=deu:0:1722,1801,1702,1810:513:133:4:0
 :Sportsworld
 PREMIERE SPORT PORTAL,SPORT PORTAL;PREMIERE:11719:hC34:S19.2E:27500:255:256=deu,257=deu;259=deu:32:1722,1801,1702:17:133:3:0
-Live Wetten:12031:hC34:S19.2E:27500:3839:3840=deu:33:0:27:133:4:0
+PREMIERE WIN,WIN;PREMIERE:12031:hC34:S19.2E:27500:3839:3840=deu:33:0:27:133:4:0
 :Beta Digital
 N24;ProSiebenSat.1:12480:vC34:S19.2E:27500:2047:2048=deu:36:0:47:133:33:0
 LibertyTV FR;LibertyTV.com:12610:vC56:S19.2E:22000:941:943=deu:0:0:12199:1:1112:0
@@ -118,14 +118,15 @@
 Sky Movies 1;BSkyB:11836:hC23:S28.2E:27500:518+8190:646=eng,653=NAR;666=eng:582:960,961:4303:2:2007:0
 Sky Movies 2;BSkyB:11836:hC23:S28.2E:27500:519+8190:647=eng,655=NAR;667=eng:583:960,961:4302:2:2007:0
 Sky Movies 3;BSkyB:11836:hC23:S28.2E:27500:520+8190:648=eng,654=NAR;668=eng:584:960,961:4403:2:2007:0
-Sky Movies 4;BSkyB:11914:hC23:S28.2E:27500:512+8190:640=eng,655=NAR;660=eng:576:960,961:4402:2:2011:0
-Sky Movies 5;BSkyB:11914:hC23:S28.2E:27500:515+8190:643=eng,656=NAR;663=eng:579:960,961:4503:2:2011:0
-Sky Movies 6;BSkyB:11914:hC23:S28.2E:27500:513+8190:641=eng,657=NAR;661=eng:577:960,961:4502:2:2011:0
+Sky Movies 4;BSkyB:11836:hC23:S28.2E:27500:512+8190:640=eng,657=NAR;660=eng:576:960,961:4304:2:2007:0
+Sky Movies 5;BSkyB:11836:hC23:S28.2E:27500:513+8190:641=eng,658=NAR;661=eng:577:960,961:4305:2:2007:0
+Sky Movies 6;BSkyB:11836:hC23:S28.2E:27500:514+8190:642=eng,659=NAR;662=eng:578:960,961:4306:2:2007:0
 Sky Movies 7;BSkyB:12285:vC23:S28.2E:27500:515+8190:643=eng,653=NAR;663=eng:579:960,961:4603:2:2030:0
 Sky Movies 8;BSkyB:11836:hC23:S28.2E:27500:515+8190:643=eng,656=NAR;663=eng:579:960,961:5502:2:2007:0
 Sky Movies 9;BSkyB:12285:vC23:S28.2E:27500:518+8190:646=eng,654=NAR;666=eng:2440:960,961:4602:2:2030:0
-Sky Cinema 1;BSkyB:12285:vC23:S28.2E:27500:519+8190:647=eng,667=NAR:583:960,961:4809:2:2030:0
-Sky Cinema 2;BSkyB:12285:vC23:S28.2E:27500:517+8190:645=eng,665=NAR:581:960,961:4802:2:2030:0
+Sky Movies 10;BSkyB:12285:vC23:S28.2E:27500:514+8190:642=eng,655=NAR;662=eng:2441:960,961:4604:2:2030:0
+Sky Cinema 1;BSkyB:11603:vC23:S28.2E:27500:513+129:641=eng,661=NAR:577:960,961:4651:2:2408:0
+Sky Cinema 2;BSkyB:11603:vC23:S28.2E:27500:514+130:642=eng,662=NAR:578:960,961:4652:2:2408:0
 :@900 Some 'seed' channels
 Chelsea TV;BskyB:11778:vC23:S28.2E:27500:2308+2304:2309=eng:0:960,961:9307:2:2004:0
 WDR Münster;ARD:12421:hC34:S19.2E:27500:101:102=deu:104:0:28310:1:1201:0
@@ -135,7 +136,7 @@
 BBC PARL'MNT;BSkyB:10847:vC56:S28.2E:22000:2327:2328=eng:2331:0:6902:2:2050:0
 MTI;T-Systems/MTI:11200:vC56:S13.0E:27500:4097:4098:0:0:4733:318:13400:0
 WRN Eng AAP;WRN:12597:vC34:S13.0E:27500:0:2132:0:0:8230:318:9400:0
-Dr Dish TV;Overon:12359:hC34:S13.0E:27500:4231:4232=eng:0:0:14023:318:8300:0
+Dr Dish TV;Overon:12359:hC34:S13.0E:27500:4231:4232:0:0:14023:318:8300:0
 ! LifeStyle-TV !;T-Systems:12633:hC56:S19.2E:22000:204:304=deu:0:0:12603:1:1113:0
 Challenger Tv;Telespazio:11295:hC34:S13.0E:27500:490:491:0:0:8409:318:500:0
 NDS Enc 3;NDS:11535:vC34:S1.0W:5632:308+8190:256=eng,257=fra:273:0:1:65535:1:0
diff -ruN vdr-1.4.4-3/config.h vdr-1.4.5/config.h
--- vdr-1.4.4-3/config.h	2007-01-04 13:52:22.000000000 +0100
+++ vdr-1.4.5/config.h	2007-01-07 14:45:19.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.281 2007/01/04 12:52:22 kls Exp $
+ * $Id: config.h 1.282 2007/01/07 13:45:19 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -21,8 +21,8 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.4.4-3"
-#define VDRVERSNUM   10404  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.4.5"
+#define VDRVERSNUM   10405  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
diff -ruN vdr-1.4.4-3/vdr.1 vdr-1.4.5/vdr.1
--- vdr-1.4.4-3/vdr.1	2006-11-19 11:02:31.000000000 +0100
+++ vdr-1.4.5/vdr.1	2007-01-07 15:03:56.000000000 +0100
@@ -8,9 +8,9 @@
 .\" License as specified in the file COPYING that comes with the
 .\" vdr distribution.
 .\"
-.\" $Id: vdr.1 1.27 2006/11/19 10:02:31 kls Exp $
+.\" $Id: vdr.1 1.28 2007/01/07 14:03:56 kls Exp $
 .\"
-.TH vdr 1 "30 Apr 2006" "1.4.0" "Video Disk Recorder"
+.TH vdr 1 "07 Jan 2007" "1.4.5" "Video Disk Recorder"
 .SH NAME
 vdr - the Video Disk Recorder
 .SH SYNOPSIS
diff -ruN vdr-1.4.4-3/vdr.5 vdr-1.4.5/vdr.5
--- vdr-1.4.4-3/vdr.5	2006-11-19 11:02:33.000000000 +0100
+++ vdr-1.4.5/vdr.5	2007-01-07 15:04:12.000000000 +0100
@@ -8,9 +8,9 @@
 .\" License as specified in the file COPYING that comes with the
 .\" vdr distribution.
 .\"
-.\" $Id: vdr.5 1.60 2006/11/19 10:02:33 kls Exp $
+.\" $Id: vdr.5 1.61 2007/01/07 14:04:12 kls Exp $
 .\"
-.TH vdr 5 "30 Apr 2006" "1.4.0" "Video Disk Recorder Files"
+.TH vdr 5 "07 Jan 2007" "1.4.5" "Video Disk Recorder Files"
 .SH NAME
 vdr file formats - the Video Disk Recorder Files
 .SH DESCRIPTION